Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class FxConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.core.GenericConfig
                  com.gwtext.client.core.FxConfig

    public class FxConfig

extends GenericConfig

`Fx` configuration options.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`FxConfig()` Construct a new instance.
`FxConfig(int duration)` Construct a new instance.

Method Summary
`void` | `setAfterCls(java.lang.String afterCls)` A css class to apply after the effect.
`void` | `setAfterStyle(Function fn)` A style specification function which returns such a specification that will be applied to the Element after the effect finishes.
`void` | `setAfterStyle(GenericConfig afterStyle)` A style specification that will be applied to the Element after the effect finishes.
`void` | `setAfterStyle(java.lang.String afterStyle)` A style specification string, e.g.
`void` | `setCallback(Function callback)` A function called when the effect is finished.
`void` | `setConcurrent(boolean concurrent)` Whether to allow subsequently-queued effects to run at the same time as the current effect, or to ensure that they run in sequence.
`void` | `setDuration(float duration)` The length of time (in seconds) that the effect should last.
`void` | `setEasing(com.gwtext.client.animation.Easing easing)` An Easing value for the effect.
`void` | `setEndOpacity(float endOpacity)` The end opacity after the effect completed.
`void` | `setRemove(boolean remove)` Whether the Element should be removed from the DOM and destroyed after the effect finishes.
`void` | `setStopFx(boolean stopFx)` Whether subsequent effects should be stopped and removed after the current effect finishes.
`void` | `setUseDisplay(boolean useDisplay)` Whether to use the display CSS property instead of visibility when hiding Elements (only applies to effects that end with the element being visually hidden, ignored otherwise)

Methods inherited from class com.gwtext.client.core.GenericConfig
`getProperty, getPropertyAsBoolean, getPropertyAsInt, getPropertyAsIntArray, getPropertyAsObject, getPropertyAsStringArray, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FxConfig

    public FxConfig()

  Construct a new instance.

### FxConfig

    public FxConfig(int duration)

  Construct a new instance.

  Parameters:
    `duration` - the length of time (in seconds) that the effect should last

Method Detail

### setAfterCls

    public void setAfterCls(java.lang.String afterCls)

  A css class to apply after the effect.

  Parameters:
    `afterCls` - the CSS class

### setAfterStyle

    public void setAfterStyle(java.lang.String afterStyle)

  A style specification string, e.g. "width:100px" that will be applied to the Element after the effect finishes.

  Parameters:
    `afterStyle` - css style

### setAfterStyle

    public void setAfterStyle(GenericConfig afterStyle)

  A style specification that will be applied to the Element after the effect finishes.

  Parameters:
    `afterStyle` - css styles

### setAfterStyle

    public void setAfterStyle(Function fn)

  A style specification function which returns such a specification that will be applied to the Element after the effect finishes.

  Parameters:
    `fn` - the style specification function

### setConcurrent

    public void setConcurrent(boolean concurrent)

  Whether to allow subsequently-queued effects to run at the same time as the current effect, or to ensure that they run in sequence.

  Parameters:
    `concurrent` - true for concurrent

### setCallback

    public void setCallback(Function callback)

  A function called when the effect is finished.

  Parameters:
    `callback` - the callback function

### setEndOpacity

    public void setEndOpacity(float endOpacity)

  The end opacity after the effect completed.

  Parameters:
    `endOpacity` - the end opacity (0 - 1)

### setDuration

    public void setDuration(float duration)

  The length of time (in seconds) that the effect should last.

  Parameters:
    `duration` - the duration in seconds

### setEasing

    public void setEasing(com.gwtext.client.animation.Easing easing)

  An Easing value for the effect.

  Parameters:
    `easing` - easing method

### setRemove

    public void setRemove(boolean remove)

  Whether the Element should be removed from the DOM and destroyed after the effect finishes.

  Parameters:
    `remove` - true to remove

### setStopFx

    public void setStopFx(boolean stopFx)

  Whether subsequent effects should be stopped and removed after the current effect finishes.

  Parameters:
    `stopFx` - true to stop subsequent effects

### setUseDisplay

    public void setUseDisplay(boolean useDisplay)

  Whether to use the display CSS property instead of visibility when hiding Elements (only applies to effects that end with the element being visually hidden, ignored otherwise)

  Parameters:
    `useDisplay` - true to use display

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD